Bug 1104604 - Review Request: erlang-sd_notify - Erlang interface to systemd notify subsystem
Summary: Review Request: erlang-sd_notify - Erlang interface to systemd notify subsystem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Eckersberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1103524
TreeView+ depends on / blocked
 
Reported: 2014-06-04 10:29 UTC by Peter Lemenkov
Modified: 2014-07-01 23:29 UTC (History)
2 users (show)

Fixed In Version: erlang-sd_notify-0.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-01 23:27:41 UTC
Type: ---
jeckersb: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2014-06-04 10:29:14 UTC
Spec URL: http://peter.fedorapeople.org/erlang-sd_notify.spec
SRPM URL: http://peter.fedorapeople.org/erlang-sd_notify-0.1-1.fc21.src.rpm
Description: Erlang interface to systemd notify subsystem
Fedora Account System Username: peter

Koji scratch build for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=6921361

Comment 1 John Eckersberg 2014-06-13 20:39:16 UTC
This looks pretty good, the only nits are:
- Include LICENSE in %doc
- Use install -p to preserve timestamps

I'm going to go ahead and flag this as approved, just make sure to correct those before you build for real.

Also I sanity checked that the systemd notify works as expected:

[fedora@jeckersb-rawhide 1104604-erlang-sd_notify]$ cat /etc/systemd/system/notify-test.service
[Unit]
Description=Notify Test

[Service]
Type=notify
Environment="HOME=/root"
ExecStart=/usr/bin/erl -noshell -eval 'sd_notify:sd_notify(0, "READY=1")'

[Install]
WantedBy=multi-user.target
[fedora@jeckersb-rawhide 1104604-erlang-sd_notify]$ sudo service notify-test start
Redirecting to /bin/systemctl start  notify-test.service
[fedora@jeckersb-rawhide 1104604-erlang-sd_notify]$ sudo service notify-test status
Redirecting to /bin/systemctl status  notify-test.service
● notify-test.service - Notify Test
   Loaded: loaded (/etc/systemd/system/notify-test.service; disabled)
   Active: active (running) since Fri 2014-06-13 20:28:30 UTC; 7s ago
 Main PID: 16473 (beam.smp)
   CGroup: /system.slice/notify-test.service
           └─16473 /usr/lib64/erlang/erts-5.10.4/bin/beam.smp -- -root /usr/lib64/erlang -progname erl -- -home /root -- -noshell -eval sd_notify:sd_notify(0, "READY=1")

Jun 13 20:28:30 jeckersb-rawhide.novalocal systemd[1]: Started Notify Test.
[fedora@jeckersb-rawhide 1104604-erlang-sd_notify]$ 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". Detailed output of licensecheck in
     /home/fedora/1104604-erlang-sd_notify/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
     NB(jeckersb): No upstream tests (yet)
[!]: Packages should try to preserve timestamps of original installed files.
     (should use install -p)
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-sd_notify-0.1-1.fc21.x86_64.rpm
          erlang-sd_notify-0.1-1.fc21.src.rpm
erlang-sd_notify.x86_64: W: spelling-error Summary(en_US) systemd -> systems, system, system d
erlang-sd_notify.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
erlang-sd_notify.x86_64: W: no-documentation
erlang-sd_notify.src: W: spelling-error Summary(en_US) systemd -> systems, system, system d
erlang-sd_notify.src: W: spelling-error %description -l en_US systemd -> systems, system, system d
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint erlang-sd_notify
erlang-sd_notify.x86_64: W: spelling-error Summary(en_US) systemd -> systems, system, system d
erlang-sd_notify.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
erlang-sd_notify.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
erlang-sd_notify (rpmlib, GLIBC filtered):
    erlang(erl_nif_version)
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-stdlib(x86-64)
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
erlang-sd_notify:
    erlang-sd_notify
    erlang-sd_notify(x86-64)



Unversioned so-files
--------------------
erlang-sd_notify: /usr/lib64/erlang/lib/sd_notify-0.1/priv/sd_notify_drv.so

Source checksums
----------------
https://github.com/lemenkov/erlang-sd_notify/archive/0.1/erlang-sd_notify-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : d652f164aed87481dd9f6973a3b7443771775583656bd397a9409685ba93143e
  CHECKSUM(SHA256) upstream package : d652f164aed87481dd9f6973a3b7443771775583656bd397a9409685ba93143e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1104604
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Peter Lemenkov 2014-06-14 14:43:17 UTC
John, thanks for the reviewing this! I'll address both the issues you've mentioned before upload. Next step will be RabbitMQ server with Type=notify.

New Package SCM Request
=======================
Package Name: erlang-sd_notify
Short Description: Erlang interface to systemd notify subsystem
Upstream URL: https://github.com/lemenkov/erlang-sd_notify
Owners: peter
Branches: f19 f20 epel7
InitialCC: erlang-sig

Comment 3 Kevin Fenzi 2014-06-18 16:13:28 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-06-18 16:45:56 UTC
erlang-sd_notify-0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/erlang-sd_notify-0.1-1.fc20

Comment 5 Fedora Update System 2014-06-18 16:46:05 UTC
erlang-sd_notify-0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/erlang-sd_notify-0.1-1.fc19

Comment 6 Fedora Update System 2014-06-19 22:55:45 UTC
erlang-sd_notify-0.1-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 7 Fedora Update System 2014-07-01 23:27:41 UTC
erlang-sd_notify-0.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2014-07-01 23:29:07 UTC
erlang-sd_notify-0.1-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.